The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Top Hosts Traffic

Prev Next

This URL gets the list of hosts traffic.

Resource URL

GET /ntbamonitors/{ntbaId}/tophoststraffic? TopN=<TopN> &startTime=<startTime>&endTime=<endTime>&direction=<direction>

Request Parameters

Field Name Description Data Type Mandatory
ntbaId NTBA monitor id Number Yes
TopN Number of top rows, default 50. Number No
startTime Start time in the format: yyyy-MM-dd HH:mm String No
endTime End time in the format: yyyy-MM-dd HH:mm String No
direction Direction:

Bidirectional

Inbound

Outbound

String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
hostsTraffic Hosts traffic Array

Details of hosts traffic:

Field Name Description Data Type
endpointIp Host IP String
hostId Host id Number
zone Zone details String
traffic Traffic volume String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/tophoststraffic?startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11

Response

{"hostsTraffic":[{"
endpointIp":"1.1.1.10",
"hostId":11,
"zone":"Default Inside Zone",
"traffic":"22M"}]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4301 Invalid duration
2 400 4302 Invalid time format
3 400 4303 Start time is greater than end time
4 400 4304 Invalid date format
5 400 4305 Start/End date is not provided
6 400 4306 Invalid NTBA id